# Copyright 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields, api

import base64


class ExportWizard(models.TransientModel):
    _name = 'res.partner.membres.wizard'

    csv_data = fields.Binary()
    filename = fields.Char()

    # function will trigger from the export button in customer export
    @api.multi
    def export_customers(self):
        # call the function generate csv files
        data = self.env['project.project'].export_gap()  
        self.csv_data = base64.encodestring(data)
        self.filename = 'export.csv'
        return {
            'type': 'ir.actions.act_url',
            'url': "web/content/?model=res.partner.membres.wizard&id=" + str(self.id) +
                   "&filename=export.csv&field=csv_data&download=true&filename=" + self.filename,
            'target': 'self',
        }